// mfcdata1View.h : interface of the CMfcdata1View class
//
/////////////////////////////////////////////////////////////////////////////

class CMfcdata1View : public CView
{
protected: // create from serialization only
	CMfcdata1View();
	DECLARE_DYNCREATE(CMfcdata1View)

	CPoint m_DropPoint ;

	BOOL PasteTextIntoMyDocument (COleDataObject *, DROPEFFECT de = 1, CPoint point = CPoint(0,0))	;
/*
STEP 4
Add COleDropTarget to the view.
*/

// Attributes
public:
	CMfcdata1Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMfcdata1View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMfcdata1View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMfcdata1View)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDataobjectPastetext();
	afx_msg void OnUpdateDataobjectPastetext(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in mfcdata1View.cpp
inline CMfcdata1Doc* CMfcdata1View::GetDocument()
   { return (CMfcdata1Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
